import{s as ai,n as oi,o as pi}from"../chunks/scheduler.0219f8bd.js";import{S as si,i as di,g as a,s as n,r as g,A as gi,h as o,f as i,c as l,j as d,u as c,x as s,k as p,y as ci,a as r,v as m,d as u,t as _,w as f}from"../chunks/index.f61edf3b.js";import{H as h,E as mi}from"../chunks/EditOnGithub.48fa589f.js";function ui(Kt){let C,_e,me,fe,$,he,T,Ce,L,jt='<li><a href="#module_generation/stopping_criteria">generation/stopping_criteria</a><ul><li><a href="#module_generation/stopping_criteria.StoppingCriteria">.StoppingCriteria</a><ul><li><a href="#module_generation/stopping_criteria.StoppingCriteria+_call"><code>._call(input_ids, scores)</code></a> ⇒ <code>Array.&lt;boolean&gt;</code></li></ul></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList">.StoppingCriteriaList</a><ul><li><a href="#new_module_generation/stopping_criteria.StoppingCriteriaList_new"><code>new StoppingCriteriaList()</code></a></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList+push"><code>.push(item)</code></a></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList+extend"><code>.extend(items)</code></a></li></ul></li> <li><a href="#module_generation/stopping_criteria.MaxLengthCriteria">.MaxLengthCriteria</a><ul><li><a href="#new_module_generation/stopping_criteria.MaxLengthCriteria_new"><code>new MaxLengthCriteria(max_length, [max_position_embeddings])</code></a></li></ul></li> <li><a href="#module_generation/stopping_criteria.EosTokenCriteria">.EosTokenCriteria</a><ul><li><a href="#new_module_generation/stopping_criteria.EosTokenCriteria_new"><code>new EosTokenCriteria(eos_token_id)</code></a></li> <li><a href="#module_generation/stopping_criteria.EosTokenCriteria+_call"><code>._call(input_ids, scores)</code></a> ⇒ <code>Array.&lt;boolean&gt;</code></li></ul></li></ul></li>',$e,Te,Le,x,xe,b,be,w,Bt="Abstract base class for all stopping criteria that can be applied during generation.",we,v,Dt='<strong>Kind</strong>: static class of <a href="#module_generation/stopping_criteria"><code>generation/stopping_criteria</code></a>',ve,He,Me,H,ye,M,ke,y,zt='<strong>Kind</strong>: instance method of <a href="#module_generation/stopping_criteria.StoppingCriteria"><code>StoppingCriteria</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;boolean&gt;</code> - A list of booleans indicating whether each sequence should be stopped.',Ee,k,Ut=`<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td><td><p>(<code>number[][]</code> of shape <code>(batch_size, sequence_length)</code>):
Indices of input sequence tokens in the vocabulary.</p></td> </tr><tr><td>scores</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td><td><p>scores (<code>number[][]</code> of shape <code>(batch_size, config.vocab_size)</code>):
Prediction scores of a language modeling head. These can be scores for each vocabulary token before SoftMax
or scores for each vocabulary token after SoftMax.</p></td></tr></tbody>`,Se,Ae,Pe,E,Re,S,qe,A,Ot='<strong>Kind</strong>: static class of <a href="#module_generation/stopping_criteria"><code>generation/stopping_criteria</code></a>',Ke,P,Gt='<li><a href="#module_generation/stopping_criteria.StoppingCriteriaList">.StoppingCriteriaList</a><ul><li><a href="#new_module_generation/stopping_criteria.StoppingCriteriaList_new"><code>new StoppingCriteriaList()</code></a></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList+push"><code>.push(item)</code></a></li> <li><a href="#module_generation/stopping_criteria.StoppingCriteriaList+extend"><code>.extend(items)</code></a></li></ul></li>',je,Be,De,R,ze,q,Ue,K,It="Constructs a new instance of <code>StoppingCriteriaList</code>.",Oe,Ge,Ie,j,Fe,B,Je,D,Ft="Adds a new stopping criterion to the list.",Ne,z,Jt='<strong>Kind</strong>: instance method of <a href="#module_generation/stopping_criteria.StoppingCriteriaList"><code>StoppingCriteriaList</code></a>',Qe,U,Nt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>item</td><td><code>StoppingCriteria</code></td><td><p>The stopping criterion to add.</p></td></tr></tbody>",Ve,We,Xe,O,Ye,G,Ze,I,Qt="Adds multiple stopping criteria to the list.",et,F,Vt='<strong>Kind</strong>: instance method of <a href="#module_generation/stopping_criteria.StoppingCriteriaList"><code>StoppingCriteriaList</code></a>',tt,J,Wt="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>items</td><td><code>StoppingCriteria</code> | <code>StoppingCriteriaList</code> | <code>Array&lt;StoppingCriteria&gt;</code></td><td><p>The stopping criteria to add.</p></td></tr></tbody>",it,rt,nt,N,lt,Q,at,V,Xt=`This class can be used to stop generation whenever the full generated number of tokens exceeds <code>max_length</code>.
Keep in mind for decoder-only type of transformers, this will include the initial prompted tokens.`,ot,W,Yt='<strong>Kind</strong>: static class of <a href="#module_generation/stopping_criteria"><code>generation/stopping_criteria</code></a>',pt,st,dt,X,gt,Y,ct,Z,Zt="<thead><tr><th>Param</th><th>Type</th><th>Default</th><th>Description</th></tr></thead> <tbody><tr><td>max_length</td><td><code>number</code></td><td></td><td><p>The maximum length that the output sequence can have in number of tokens.</p></td> </tr><tr><td>[max_position_embeddings]</td><td><code>number</code></td><td><code></code></td><td><p>The maximum model length, as defined by the model&#39;s <code>config.max_position_embeddings</code> attribute.</p></td></tr></tbody>",mt,ut,_t,ee,ft,te,ht,ie,ei=`This class can be used to stop generation whenever the “end-of-sequence” token is generated.
By default, it uses the <code>model.generation_config.eos_token_id</code>.`,Ct,re,ti='<strong>Kind</strong>: static class of <a href="#module_generation/stopping_criteria"><code>generation/stopping_criteria</code></a>',$t,ne,ii='<li><a href="#module_generation/stopping_criteria.EosTokenCriteria">.EosTokenCriteria</a><ul><li><a href="#new_module_generation/stopping_criteria.EosTokenCriteria_new"><code>new EosTokenCriteria(eos_token_id)</code></a></li> <li><a href="#module_generation/stopping_criteria.EosTokenCriteria+_call"><code>._call(input_ids, scores)</code></a> ⇒ <code>Array.&lt;boolean&gt;</code></li></ul></li>',Tt,Lt,xt,le,bt,ae,wt,oe,ri=`<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>eos_token_id</td><td><code>number</code> | <code>Array&lt;number&gt;</code></td><td><p>The id of the <em>end-of-sequence</em> token.
Optionally, use a list to set multiple <em>end-of-sequence</em> tokens.</p></td></tr></tbody>`,vt,Ht,Mt,pe,yt,se,kt,de,ni='<strong>Kind</strong>: instance method of <a href="#module_generation/stopping_criteria.EosTokenCriteria"><code>EosTokenCriteria</code></a>',Et,ge,li="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input_ids</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td> </tr><tr><td>scores</td><td><code>Array.&lt;Array&lt;number&gt;&gt;</code></td></tr></tbody>",St,At,Pt,ce,Rt,ue,qt;return T=new h({props:{title:"generation/stopping_criteria",local:"generationstoppingcriteria",headingTag:"h1"}}),b=new h({props:{title:"generation/stopping_criteria.StoppingCriteria",local:"generationstoppingcriteriastoppingcriteria",headingTag:"h2"}}),M=new h({props:{title:"stoppingCriteria._call(input_ids, scores) ⇒ <code> Array. < boolean > </code>",local:"stoppingcriteriacallinputids-scores--code-array--boolean--code",headingTag:"h3"}}),S=new h({props:{title:"generation/stopping_criteria.StoppingCriteriaList",local:"generationstoppingcriteriastoppingcriterialist",headingTag:"h2"}}),q=new h({props:{title:"new StoppingCriteriaList()",local:"new-stoppingcriterialist",headingTag:"h3"}}),B=new h({props:{title:"stoppingCriteriaList.push(item)",local:"stoppingcriterialistpushitem",headingTag:"h3"}}),G=new h({props:{title:"stoppingCriteriaList.extend(items)",local:"stoppingcriterialistextenditems",headingTag:"h3"}}),Q=new h({props:{title:"generation/stopping_criteria.MaxLengthCriteria",local:"generationstoppingcriteriamaxlengthcriteria",headingTag:"h2"}}),Y=new h({props:{title:"new MaxLengthCriteria(max_length, [max_position_embeddings])",local:"new-maxlengthcriteriamaxlength-maxpositionembeddings",headingTag:"h3"}}),te=new h({props:{title:"generation/stopping_criteria.EosTokenCriteria",local:"generationstoppingcriteriaeostokencriteria",headingTag:"h2"}}),ae=new h({props:{title:"new EosTokenCriteria(eos_token_id)",local:"new-eostokencriteriaeostokenid",headingTag:"h3"}}),se=new h({props:{title:"eosTokenCriteria._call(input_ids, scores) ⇒ <code> Array. < boolean > </code>",local:"eostokencriteriacallinputids-scores--code-array--boolean--code",headingTag:"h3"}}),ce=new mi({props:{source:"https://github.com/xenova/transformers.js/blob/main/docs/source/api/generation/stopping_criteria.md"}}),{c(){C=a("meta"),_e=n(),me=a("p"),fe=n(),$=a("a"),he=n(),g(T.$$.fragment),Ce=n(),L=a("ul"),L.innerHTML=jt,$e=n(),Te=a("hr"),Le=n(),x=a("a"),xe=n(),g(b.$$.fragment),be=n(),w=a("p"),w.textContent=Bt,we=n(),v=a("p"),v.innerHTML=Dt,ve=n(),He=a("hr"),Me=n(),H=a("a"),ye=n(),g(M.$$.fragment),ke=n(),y=a("p"),y.innerHTML=zt,Ee=n(),k=a("table"),k.innerHTML=Ut,Se=n(),Ae=a("hr"),Pe=n(),E=a("a"),Re=n(),g(S.$$.fragment),qe=n(),A=a("p"),A.innerHTML=Ot,Ke=n(),P=a("ul"),P.innerHTML=Gt,je=n(),Be=a("hr"),De=n(),R=a("a"),ze=n(),g(q.$$.fragment),Ue=n(),K=a("p"),K.innerHTML=It,Oe=n(),Ge=a("hr"),Ie=n(),j=a("a"),Fe=n(),g(B.$$.fragment),Je=n(),D=a("p"),D.textContent=Ft,Ne=n(),z=a("p"),z.innerHTML=Jt,Qe=n(),U=a("table"),U.innerHTML=Nt,Ve=n(),We=a("hr"),Xe=n(),O=a("a"),Ye=n(),g(G.$$.fragment),Ze=n(),I=a("p"),I.textContent=Qt,et=n(),F=a("p"),F.innerHTML=Vt,tt=n(),J=a("table"),J.innerHTML=Wt,it=n(),rt=a("hr"),nt=n(),N=a("a"),lt=n(),g(Q.$$.fragment),at=n(),V=a("p"),V.innerHTML=Xt,ot=n(),W=a("p"),W.innerHTML=Yt,pt=n(),st=a("hr"),dt=n(),X=a("a"),gt=n(),g(Y.$$.fragment),ct=n(),Z=a("table"),Z.innerHTML=Zt,mt=n(),ut=a("hr"),_t=n(),ee=a("a"),ft=n(),g(te.$$.fragment),ht=n(),ie=a("p"),ie.innerHTML=ei,Ct=n(),re=a("p"),re.innerHTML=ti,$t=n(),ne=a("ul"),ne.innerHTML=ii,Tt=n(),Lt=a("hr"),xt=n(),le=a("a"),bt=n(),g(ae.$$.fragment),wt=n(),oe=a("table"),oe.innerHTML=ri,vt=n(),Ht=a("hr"),Mt=n(),pe=a("a"),yt=n(),g(se.$$.fragment),kt=n(),de=a("p"),de.innerHTML=ni,Et=n(),ge=a("table"),ge.innerHTML=li,St=n(),At=a("hr"),Pt=n(),g(ce.$$.fragment),Rt=n(),ue=a("p"),this.h()},l(e){const t=gi("svelte-u9bgzb",document.head);C=o(t,"META",{name:!0,content:!0}),t.forEach(i),_e=l(e),me=o(e,"P",{}),d(me).forEach(i),fe=l(e),$=o(e,"A",{id:!0,class:!0}),d($).forEach(i),he=l(e),c(T.$$.fragment,e),Ce=l(e),L=o(e,"UL",{"data-svelte-h":!0}),s(L)!=="svelte-a115ow"&&(L.innerHTML=jt),$e=l(e),Te=o(e,"HR",{}),Le=l(e),x=o(e,"A",{id:!0,class:!0}),d(x).forEach(i),xe=l(e),c(b.$$.fragment,e),be=l(e),w=o(e,"P",{"data-svelte-h":!0}),s(w)!=="svelte-rfvu1k"&&(w.textContent=Bt),we=l(e),v=o(e,"P",{"data-svelte-h":!0}),s(v)!=="svelte-13jmxto"&&(v.innerHTML=Dt),ve=l(e),He=o(e,"HR",{}),Me=l(e),H=o(e,"A",{id:!0,class:!0}),d(H).forEach(i),ye=l(e),c(M.$$.fragment,e),ke=l(e),y=o(e,"P",{"data-svelte-h":!0}),s(y)!=="svelte-100pgbh"&&(y.innerHTML=zt),Ee=l(e),k=o(e,"TABLE",{"data-svelte-h":!0}),s(k)!=="svelte-4nxdff"&&(k.innerHTML=Ut),Se=l(e),Ae=o(e,"HR",{}),Pe=l(e),E=o(e,"A",{id:!0,class:!0}),d(E).forEach(i),Re=l(e),c(S.$$.fragment,e),qe=l(e),A=o(e,"P",{"data-svelte-h":!0}),s(A)!=="svelte-13jmxto"&&(A.innerHTML=Ot),Ke=l(e),P=o(e,"UL",{"data-svelte-h":!0}),s(P)!=="svelte-g0k4ic"&&(P.innerHTML=Gt),je=l(e),Be=o(e,"HR",{}),De=l(e),R=o(e,"A",{id:!0,class:!0}),d(R).forEach(i),ze=l(e),c(q.$$.fragment,e),Ue=l(e),K=o(e,"P",{"data-svelte-h":!0}),s(K)!=="svelte-1i7dv1d"&&(K.innerHTML=It),Oe=l(e),Ge=o(e,"HR",{}),Ie=l(e),j=o(e,"A",{id:!0,class:!0}),d(j).forEach(i),Fe=l(e),c(B.$$.fragment,e),Je=l(e),D=o(e,"P",{"data-svelte-h":!0}),s(D)!=="svelte-xqbggw"&&(D.textContent=Ft),Ne=l(e),z=o(e,"P",{"data-svelte-h":!0}),s(z)!=="svelte-387bux"&&(z.innerHTML=Jt),Qe=l(e),U=o(e,"TABLE",{"data-svelte-h":!0}),s(U)!=="svelte-lqcak9"&&(U.innerHTML=Nt),Ve=l(e),We=o(e,"HR",{}),Xe=l(e),O=o(e,"A",{id:!0,class:!0}),d(O).forEach(i),Ye=l(e),c(G.$$.fragment,e),Ze=l(e),I=o(e,"P",{"data-svelte-h":!0}),s(I)!=="svelte-1mxgm21"&&(I.textContent=Qt),et=l(e),F=o(e,"P",{"data-svelte-h":!0}),s(F)!=="svelte-387bux"&&(F.innerHTML=Vt),tt=l(e),J=o(e,"TABLE",{"data-svelte-h":!0}),s(J)!=="svelte-1kg13ks"&&(J.innerHTML=Wt),it=l(e),rt=o(e,"HR",{}),nt=l(e),N=o(e,"A",{id:!0,class:!0}),d(N).forEach(i),lt=l(e),c(Q.$$.fragment,e),at=l(e),V=o(e,"P",{"data-svelte-h":!0}),s(V)!=="svelte-1p8jnme"&&(V.innerHTML=Xt),ot=l(e),W=o(e,"P",{"data-svelte-h":!0}),s(W)!=="svelte-13jmxto"&&(W.innerHTML=Yt),pt=l(e),st=o(e,"HR",{}),dt=l(e),X=o(e,"A",{id:!0,class:!0}),d(X).forEach(i),gt=l(e),c(Y.$$.fragment,e),ct=l(e),Z=o(e,"TABLE",{"data-svelte-h":!0}),s(Z)!=="svelte-15weu8s"&&(Z.innerHTML=Zt),mt=l(e),ut=o(e,"HR",{}),_t=l(e),ee=o(e,"A",{id:!0,class:!0}),d(ee).forEach(i),ft=l(e),c(te.$$.fragment,e),ht=l(e),ie=o(e,"P",{"data-svelte-h":!0}),s(ie)!=="svelte-1t19wr8"&&(ie.innerHTML=ei),Ct=l(e),re=o(e,"P",{"data-svelte-h":!0}),s(re)!=="svelte-13jmxto"&&(re.innerHTML=ti),$t=l(e),ne=o(e,"UL",{"data-svelte-h":!0}),s(ne)!=="svelte-1904jx5"&&(ne.innerHTML=ii),Tt=l(e),Lt=o(e,"HR",{}),xt=l(e),le=o(e,"A",{id:!0,class:!0}),d(le).forEach(i),bt=l(e),c(ae.$$.fragment,e),wt=l(e),oe=o(e,"TABLE",{"data-svelte-h":!0}),s(oe)!=="svelte-1m7wld8"&&(oe.innerHTML=ri),vt=l(e),Ht=o(e,"HR",{}),Mt=l(e),pe=o(e,"A",{id:!0,class:!0}),d(pe).forEach(i),yt=l(e),c(se.$$.fragment,e),kt=l(e),de=o(e,"P",{"data-svelte-h":!0}),s(de)!=="svelte-11wlgah"&&(de.innerHTML=ni),Et=l(e),ge=o(e,"TABLE",{"data-svelte-h":!0}),s(ge)!=="svelte-1oe6soa"&&(ge.innerHTML=li),St=l(e),At=o(e,"HR",{}),Pt=l(e),c(ce.$$.fragment,e),Rt=l(e),ue=o(e,"P",{}),d(ue).forEach(i),this.h()},h(){p(C,"name","hf:doc:metadata"),p(C,"content",_i),p($,"id","module_generation/stopping_criteria"),p($,"class","group"),p(x,"id","module_generation/stopping_criteria.StoppingCriteria"),p(x,"class","group"),p(H,"id","module_generation/stopping_criteria.StoppingCriteria+_call"),p(H,"class","group"),p(E,"id","module_generation/stopping_criteria.StoppingCriteriaList"),p(E,"class","group"),p(R,"id","new_module_generation/stopping_criteria.StoppingCriteriaList_new"),p(R,"class","group"),p(j,"id","module_generation/stopping_criteria.StoppingCriteriaList+push"),p(j,"class","group"),p(O,"id","module_generation/stopping_criteria.StoppingCriteriaList+extend"),p(O,"class","group"),p(N,"id","module_generation/stopping_criteria.MaxLengthCriteria"),p(N,"class","group"),p(X,"id","new_module_generation/stopping_criteria.MaxLengthCriteria_new"),p(X,"class","group"),p(ee,"id","module_generation/stopping_criteria.EosTokenCriteria"),p(ee,"class","group"),p(le,"id","new_module_generation/stopping_criteria.EosTokenCriteria_new"),p(le,"class","group"),p(pe,"id","module_generation/stopping_criteria.EosTokenCriteria+_call"),p(pe,"class","group")},m(e,t){ci(document.head,C),r(e,_e,t),r(e,me,t),r(e,fe,t),r(e,$,t),r(e,he,t),m(T,e,t),r(e,Ce,t),r(e,L,t),r(e,$e,t),r(e,Te,t),r(e,Le,t),r(e,x,t),r(e,xe,t),m(b,e,t),r(e,be,t),r(e,w,t),r(e,we,t),r(e,v,t),r(e,ve,t),r(e,He,t),r(e,Me,t),r(e,H,t),r(e,ye,t),m(M,e,t),r(e,ke,t),r(e,y,t),r(e,Ee,t),r(e,k,t),r(e,Se,t),r(e,Ae,t),r(e,Pe,t),r(e,E,t),r(e,Re,t),m(S,e,t),r(e,qe,t),r(e,A,t),r(e,Ke,t),r(e,P,t),r(e,je,t),r(e,Be,t),r(e,De,t),r(e,R,t),r(e,ze,t),m(q,e,t),r(e,Ue,t),r(e,K,t),r(e,Oe,t),r(e,Ge,t),r(e,Ie,t),r(e,j,t),r(e,Fe,t),m(B,e,t),r(e,Je,t),r(e,D,t),r(e,Ne,t),r(e,z,t),r(e,Qe,t),r(e,U,t),r(e,Ve,t),r(e,We,t),r(e,Xe,t),r(e,O,t),r(e,Ye,t),m(G,e,t),r(e,Ze,t),r(e,I,t),r(e,et,t),r(e,F,t),r(e,tt,t),r(e,J,t),r(e,it,t),r(e,rt,t),r(e,nt,t),r(e,N,t),r(e,lt,t),m(Q,e,t),r(e,at,t),r(e,V,t),r(e,ot,t),r(e,W,t),r(e,pt,t),r(e,st,t),r(e,dt,t),r(e,X,t),r(e,gt,t),m(Y,e,t),r(e,ct,t),r(e,Z,t),r(e,mt,t),r(e,ut,t),r(e,_t,t),r(e,ee,t),r(e,ft,t),m(te,e,t),r(e,ht,t),r(e,ie,t),r(e,Ct,t),r(e,re,t),r(e,$t,t),r(e,ne,t),r(e,Tt,t),r(e,Lt,t),r(e,xt,t),r(e,le,t),r(e,bt,t),m(ae,e,t),r(e,wt,t),r(e,oe,t),r(e,vt,t),r(e,Ht,t),r(e,Mt,t),r(e,pe,t),r(e,yt,t),m(se,e,t),r(e,kt,t),r(e,de,t),r(e,Et,t),r(e,ge,t),r(e,St,t),r(e,At,t),r(e,Pt,t),m(ce,e,t),r(e,Rt,t),r(e,ue,t),qt=!0},p:oi,i(e){qt||(u(T.$$.fragment,e),u(b.$$.fragment,e),u(M.$$.fragment,e),u(S.$$.fragment,e),u(q.$$.fragment,e),u(B.$$.fragment,e),u(G.$$.fragment,e),u(Q.$$.fragment,e),u(Y.$$.fragment,e),u(te.$$.fragment,e),u(ae.$$.fragment,e),u(se.$$.fragment,e),u(ce.$$.fragment,e),qt=!0)},o(e){_(T.$$.fragment,e),_(b.$$.fragment,e),_(M.$$.fragment,e),_(S.$$.fragment,e),_(q.$$.fragment,e),_(B.$$.fragment,e),_(G.$$.fragment,e),_(Q.$$.fragment,e),_(Y.$$.fragment,e),_(te.$$.fragment,e),_(ae.$$.fragment,e),_(se.$$.fragment,e),_(ce.$$.fragment,e),qt=!1},d(e){e&&(i(_e),i(me),i(fe),i($),i(he),i(Ce),i(L),i($e),i(Te),i(Le),i(x),i(xe),i(be),i(w),i(we),i(v),i(ve),i(He),i(Me),i(H),i(ye),i(ke),i(y),i(Ee),i(k),i(Se),i(Ae),i(Pe),i(E),i(Re),i(qe),i(A),i(Ke),i(P),i(je),i(Be),i(De),i(R),i(ze),i(Ue),i(K),i(Oe),i(Ge),i(Ie),i(j),i(Fe),i(Je),i(D),i(Ne),i(z),i(Qe),i(U),i(Ve),i(We),i(Xe),i(O),i(Ye),i(Ze),i(I),i(et),i(F),i(tt),i(J),i(it),i(rt),i(nt),i(N),i(lt),i(at),i(V),i(ot),i(W),i(pt),i(st),i(dt),i(X),i(gt),i(ct),i(Z),i(mt),i(ut),i(_t),i(ee),i(ft),i(ht),i(ie),i(Ct),i(re),i($t),i(ne),i(Tt),i(Lt),i(xt),i(le),i(bt),i(wt),i(oe),i(vt),i(Ht),i(Mt),i(pe),i(yt),i(kt),i(de),i(Et),i(ge),i(St),i(At),i(Pt),i(Rt),i(ue)),i(C),f(T,e),f(b,e),f(M,e),f(S,e),f(q,e),f(B,e),f(G,e),f(Q,e),f(Y,e),f(te,e),f(ae,e),f(se,e),f(ce,e)}}}const _i='{"title":"generation/stopping_criteria","local":"generationstoppingcriteria","sections":[{"title":"generation/stopping_criteria.StoppingCriteria","local":"generationstoppingcriteriastoppingcriteria","sections":[{"title":"stoppingCriteria._call(input_ids, scores) ⇒ <code> Array. < boolean > </code>","local":"stoppingcriteriacallinputids-scores--code-array--boolean--code","sections":[],"depth":3}],"depth":2},{"title":"generation/stopping_criteria.StoppingCriteriaList","local":"generationstoppingcriteriastoppingcriterialist","sections":[{"title":"new StoppingCriteriaList()","local":"new-stoppingcriterialist","sections":[],"depth":3},{"title":"stoppingCriteriaList.push(item)","local":"stoppingcriterialistpushitem","sections":[],"depth":3},{"title":"stoppingCriteriaList.extend(items)","local":"stoppingcriterialistextenditems","sections":[],"depth":3}],"depth":2},{"title":"generation/stopping_criteria.MaxLengthCriteria","local":"generationstoppingcriteriamaxlengthcriteria","sections":[{"title":"new MaxLengthCriteria(max_length, [max_position_embeddings])","local":"new-maxlengthcriteriamaxlength-maxpositionembeddings","sections":[],"depth":3}],"depth":2},{"title":"generation/stopping_criteria.EosTokenCriteria","local":"generationstoppingcriteriaeostokencriteria","sections":[{"title":"new EosTokenCriteria(eos_token_id)","local":"new-eostokencriteriaeostokenid","sections":[],"depth":3},{"title":"eosTokenCriteria._call(input_ids, scores) ⇒ <code> Array. < boolean > </code>","local":"eostokencriteriacallinputids-scores--code-array--boolean--code","sections":[],"depth":3}],"depth":2}],"depth":1}';function fi(Kt){return pi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ti extends si{constructor(C){super(),di(this,C,fi,ui,ai,{})}}export{Ti as component};
